Bug 590850 (CVE-2010-1197) - CVE-2010-1197 Mozilla Content-Disposition: attachment ignored if Content-Type: multipart also present
Summary: CVE-2010-1197 Mozilla Content-Disposition: attachment ignored if Content-Type...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-1197
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20100622,reported=20100505,sou...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-10 19:29 UTC by Josh Bressers
Modified: 2019-06-08 12:59 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-12 21:50:22 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0499 normal SHIPPED_LIVE Critical: seamonkey security update 2010-06-22 21:37:21 UTC
Red Hat Product Errata RHSA-2010:0500 normal SHIPPED_LIVE Critical: firefox security, bug fix, and enhancement update 2010-06-22 22:01:29 UTC
Red Hat Product Errata RHSA-2010:0501 normal SHIPPED_LIVE Critical: firefox security, bug fix, and enhancement update 2010-06-25 15:32:29 UTC
Red Hat Product Errata RHSA-2010:0544 normal SHIPPED_LIVE Moderate: thunderbird security update 2010-07-21 01:39:35 UTC
Red Hat Product Errata RHSA-2010:0545 normal SHIPPED_LIVE Critical: thunderbird security update 2010-07-21 01:18:47 UTC

Description Josh Bressers 2010-05-10 19:29:03 UTC
Security researcher Ilja van Sprundel of IOActive reported that the
Content-Disposition: attachment HTTP header was ignored when Content-Type:
multipart was also present. This issue could potentially lead to XSS
problems in sites that allow users to upload arbitrary files and specify a
Content-Type, but rely on Content-Disposition: attachment to prevent the
content from being displayed inline.

Comment 1 Vincent Danen 2010-06-22 20:45:29 UTC
This issue is now public:

http://www.mozilla.org/security/announce/2010/mfsa2010-32.html

Comment 2 errata-xmlrpc 2010-06-22 21:37:49 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 3

Via RHSA-2010:0499 https://rhn.redhat.com/errata/RHSA-2010-0499.html

Comment 3 errata-xmlrpc 2010-06-22 22:02:06 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2010:0500 https://rhn.redhat.com/errata/RHSA-2010-0500.html

Comment 4 errata-xmlrpc 2010-06-22 22:29:31 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0501 https://rhn.redhat.com/errata/RHSA-2010-0501.html

Comment 5 Fedora Update System 2010-06-23 13:18:43 UTC
seamonkey-2.0.5-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/seamonkey-2.0.5-1.fc12

Comment 6 Fedora Update System 2010-06-23 13:23:54 UTC
seamonkey-2.0.5-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/seamonkey-2.0.5-1.fc13

Comment 7 Fedora Update System 2010-06-23 14:20:11 UTC
xulrunner-1.9.2.4-1.fc13,firefox-3.6.4-1.fc13,mozvoikko-1.0-11.fc13,gnome-web-photo-0.9-9.fc13,perl-Gtk2-MozEmbed-0.08-6.fc13.14,gnome-python2-extras-2.25.3-19.fc13,galeon-2.0.7-29.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/xulrunner-1.9.2.4-1.fc13,firefox-3.6.4-1.fc13,mozvoikko-1.0-11.fc13,gnome-web-photo-0.9-9.fc13,perl-Gtk2-MozEmbed-0.08-6.fc13.14,gnome-python2-extras-2.25.3-19.fc13,galeon-2.0.7-29.fc13

Comment 8 Fedora Update System 2010-06-23 14:37:30 UTC
firefox-3.5.10-1.fc12,xulrunner-1.9.1.10-1.fc12,mozvoikko-1.0-10.fc12,gnome-web-photo-0.9-7.fc12,gnome-python2-extras-2.25.3-18.fc12,perl-Gtk2-MozEmbed-0.08-6.fc12.13,galeon-2.0.7-23.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/firefox-3.5.10-1.fc12,xulrunner-1.9.1.10-1.fc12,mozvoikko-1.0-10.fc12,gnome-web-photo-0.9-7.fc12,gnome-python2-extras-2.25.3-18.fc12,perl-Gtk2-MozEmbed-0.08-6.fc12.13,galeon-2.0.7-23.fc12

Comment 9 Fedora Update System 2010-06-24 16:22:46 UTC
seamonkey-2.0.5-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-06-24 16:26:07 UTC
xulrunner-1.9.1.10-1.fc12, mozvoikko-1.0-10.fc12, gnome-web-photo-0.9-7.fc12, gnome-python2-extras-2.25.3-18.fc12, perl-Gtk2-MozEmbed-0.08-6.fc12.13, galeon-2.0.7-23.fc12, firefox-3.5.10-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-06-24 16:31:10 UTC
xulrunner-1.9.2.4-1.fc13, firefox-3.6.4-1.fc13, mozvoikko-1.0-11.fc13, gnome-web-photo-0.9-9.fc13, perl-Gtk2-MozEmbed-0.08-6.fc13.14, gnome-python2-extras-2.25.3-19.fc13, galeon-2.0.7-29.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-06-24 16:33:58 UTC
seamonkey-2.0.5-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 errata-xmlrpc 2010-06-25 15:33:01 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0501 https://rhn.redhat.com/errata/RHSA-2010-0501.html

Comment 14 errata-xmlrpc 2010-07-21 01:19:13 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0545 https://rhn.redhat.com/errata/RHSA-2010-0545.html

Comment 15 errata-xmlrpc 2010-07-21 01:39:55 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2010:0544 https://rhn.redhat.com/errata/RHSA-2010-0544.html


Note You need to log in before you can comment on or make changes to this bug.